#ifndef __AREA_H_INCLUDED__
#define __AREA_H_INCLUDED__

#include "block.h"

typedef struct _Area *Area;

Area Area_Create(BlockPool pool);
Area Area_Destroy(Area area);
BlockPool Area_GetPool(Area area);
int Area_GetSize(Area area);
int Area_Read(Area area, int offset, int size, void *buffer);
int Area_Write(Area area, int offset, int size, const void *buffer);
int Area_Compare(Area area, int offset, int size, const void *buffer);
int Area_Clear(Area area);
int Area_Extend(Area area, int size);
int Area_Reduce(Area area, int size);
int Area_Resize(Area area, int size);

#endif
